=== man/ja/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8
SUBDIRS = man1 man5 man8

include $(top_srcdir)/makes/subdir.mk
