=== doc/html/en/ref/Makefile ===
top_builddir = ../../../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

#SUBDIRS = man1 man3 man5 man8
SUBDIRS = man1 man5 man8

htmldir=$(default_htmldir)/en/ref
HTML = index.html

include $(top_srcdir)/makes/subdir.mk
include $(top_srcdir)/makes/html.mk
