=== debian/changelog ===
gfarm (2.3.1-1) unstable; urgency=low

  * debian/control (Description, Suggests): Description improvement
    adding Suggests.  Thanks to Justin B Rye <jbr@edlug.org.uk>
    (Closes: #573516).
  * New upstream release.
  * debian/rules: Support manpages_en/_ja.
  * debian/libgfarm-dev.manpages_ja: New file.
  * debian/libgfarm-dev.manpages_en: Renamed (was: no _en).
  * debian/{gfmd.manpages_ja,gfsd.manpages_ja}: New files.
  * debian/{gfmd.manpages_en,gfsd.manpages_en}: Renamed (was: no _en).
  * debian/{gfarm-client.manpages_en,gfarm-client.manpages_ja}: Updated.
  * debian/{gfarm-doc.docs,gfarm-client.install,gfmd.install}: Updated.
  * debian/control (Package): New package libgfarm1 to match soname.
  * debian/patches/07_MAXHOSTNAMELEN.patch: New file to workaround on Hurd.
  * debian/README.source: Removed.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 08 Jun 2010 11:55:28 +0900

gfarm (2.3.0-5) unstable; urgency=low

  * debian/patches/06_host_os_nickname.patch: Updated.
  * debian/watch: Fix to exclude snapshot tar balls.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 11 May 2010 09:49:00 +0900

gfarm (2.3.0-4) unstable; urgency=low

  * debian/patches/{04_MAXPATHLEN.patch,05_PATH_MAX.patch,
    06_host_os_nickname.patch}: New files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 10 May 2010 14:11:22 +0900

gfarm (2.3.0-3) unstable; urgency=low

  * debian/gfarm-client.manpages_ja: New file.
  * debian/rules: Invoke dh_installman with --language=ja.
  * debian/rules: Kill the bash-ism.
  * debian/rules: Don't use libtoolize but just copy ltmain.sh.
  * debian/patches/{00_libraries,01_noneed_yacc_lex,02_dont_go_doc,
    03_libtool_clean_does_not_work_well}.patch: Divided up.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 18 Mar 2010 09:16:05 +0900

gfarm (2.3.0-2) unstable; urgency=low

  * debian/patches/00_libraries.patch: Name it.
  * debian/rules: Build with _GNU_SOURCE for FTBFS on gfevent.c.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 17 Mar 2010 21:19:06 +0900

gfarm (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #568981).

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 16 Feb 2010 15:30:53 +0900
