## gfarm 2.3.2

=== gftool/Makefile ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	gfrep \
 	gfrm \
 	gfrmdir \
+	gfsched \
 	gfstat \
 	gfstatus \
 	gfuser \
@@ -42,7 +43,6 @@
 #	gfifo \
 #	gfpwd \
 #	gfrcmd \
-#	gfsched \
 #	gfsck \
 #	gfsetdir \
 #	gfmpirun \
