=== regress/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 # subdirectories which have to be built
 SUBDIRS=	\
 	lib/libgfarm/gfarm/gfarm_error_range_alloc \
-	lib/libgfarm/gfarm/gfarm_error_to_errno
+	lib/libgfarm/gfarm/gfarm_error_to_errno \
+	lib/libgfarm/gfarm/gfs_pio_test
 
 check test: all
 	@echo ""
