=== gftool/gfsched/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 3617 2007-03-12 08:32:55Z n-soda $
+# $Id: Makefile 4802 2010-06-28 06:13:32Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -19,4 +19,7 @@
 
 ###
 
-$(OBJS): $(DEPGFARMINC)
+$(OBJS): $(DEPGFARMINC) \
+	$(GFARMLIB_SRCDIR)/gfm_client.h \
+	$(GFARMLIB_SRCDIR)/gfm_schedule.h \
+	$(GFARMLIB_SRCDIR)/schedule.h
