=== server/gfmd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $
+# $Id: Makefile 4761 2010-06-21 17:16:30Z tatebe $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -11,8 +11,7 @@
 	$(COMMON_CFLAGS) -I$(GFUTIL_SRCDIR) -I$(GFARMLIB_SRCDIR) -I$(srcdir) \
 	$(metadb_client_includes) $(optional_cflags) \
 	-DGFMD_CONFIG='"$(sysconfdir)/gfmd.conf"'
-LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) \
-	$(LIBS) $(pthread_libs)
+LDLIBS = $(COMMON_LDFLAGS) $(GFARMLIB) $(metadb_client_libs) $(LIBS)
 DEPLIBS = $(DEPGFARMLIB)
 
 PROGRAM = gfmd
