=== lib/libgfarm/gfarm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4578 2010-03-26 15:16:12Z tatebe $
+# $Id: Makefile 4801 2010-06-28 06:04:40Z tatebe $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -46,6 +46,7 @@
 	conn_hash.c \
 	conn_cache.c \
 	gfm_client.c \
+	gfm_schedule.c \
 	gfs_client.c \
 	lookup.c \
 	gfs_io.c \
@@ -115,6 +116,7 @@
 	conn_hash.lo \
 	conn_cache.lo \
 	gfm_client.lo \
+	gfm_schedule.lo \
 	gfs_client.lo \
 	lookup.lo \
 	gfs_io.lo \
@@ -187,6 +189,7 @@
 error.lo: $(GFUTIL_SRCDIR)/hash.h
 conn_cache.lo: $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h conn_hash.h conn_cache.h
 gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h
+gfm_schedule.lo: gfm_client.h gfm_schedule.h lookup.h
 gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h param.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h
 gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h
 gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h
@@ -222,7 +225,7 @@
 lookup.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h lookup.h
 metadb_common.lo: metadb_common.h xattr_info.h quota_info.h
 param.lo: hostspec.h param.h
-schedule.lo: $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h host.h auth.h config.h gfs_client.h gfs_profile.h
+schedule.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/timer.h liberror.h conn_hash.h host.h config.h gfm_proto.h gfm_client.h gfs_client.h schedule.h lookup.h gfs_profile.h
 sockutil.lo: $(GFUTIL_SRCDIR)/gfnetdb.h sockutil.h
 sockopt.lo: hostspec.h param.h sockopt.h
 stringlist.lo:
