=== debian/changelog ===
gfarm (2.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #581101).
  * debian/patches/00_libraries.patch: Refreshed.
  * debian/patches/07_MAXHOSTNAMELEN.patch: Refreshed.
  * debian/patches/05_PATH_MAX.patch: Refreshed.
  * debian/gfarm-client.install (gfsched): Added.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 02 Jul 2010 10:00:53 +0900
