=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh --with quilt  $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f configure
	rm -rf aclocal.m4 makes/ltmain.sh

override_dh_auto_configure:
	cp -p /usr/share/libtool/config/ltmain.sh makes/ltmain.sh
	(cd /usr/share/aclocal && \
	 cat libtool.m4 ltoptions.m4 ltversion.m4 ltsugar.m4 lt~obsolete.m4) \
	 > aclocal.m4
	autoconf
	dh_auto_configure -- CFLAGS='-O2 -g -D_GNU_SOURCE'

override_dh_installman:
	dh_installman --package=gfarm-client $(shell cat debian/gfarm-client.manpages_en)
	dh_installman --package=gfarm-client \
          --language=ja $(shell cat debian/gfarm-client.manpages_ja)
	dh_installman --package=gfmd $(shell cat debian/gfmd.manpages_en)
	dh_installman --package=gfmd \
          --language=ja $(shell cat debian/gfmd.manpages_ja)
	dh_installman --package=gfsd $(shell cat debian/gfsd.manpages_en)
	dh_installman --package=gfsd \
          --language=ja $(shell cat debian/gfsd.manpages_ja)
	dh_installman --package=libgfarm-dev $(shell cat debian/libgfarm-dev.manpages_en)
	dh_installman --package=libgfarm-dev \
          --language=ja $(shell cat debian/libgfarm-dev.manpages_ja)
	dh_installman --remaining-packages
