## gfarm 2.4.0

=== regress/Makefile ===
--- 
+++ 
@@ -12,7 +12,9 @@
 SUBDIRS=	\
 	lib/libgfarm/gfarm/gfarm_error_range_alloc \
 	lib/libgfarm/gfarm/gfarm_error_to_errno \
-	lib/libgfarm/gfarm/gfs_pio_test
+	lib/libgfarm/gfarm/gfs_pio_test \
+	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/file_busy \
+	lib/libgfarm/gfarm/gfs_replicate_file_from_to_request/in_progress
 
 check test: all
 	@echo ""
