=== server/gfmd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4761 2010-06-21 17:16:30Z tatebe $
+# $Id: Makefile 4758 2010-06-21 04:59:06Z n-soda $
 
 top_builddir = ../..
 top_srcdir = $(top_builddir)
@@ -29,14 +29,14 @@
 PUBLIC_SRCS  =
 PUBLIC_OBJS  =
 
-SRCS =	gfmd.c thrsubr.c thrpool.c \
-	subr.c user.c group.c host.c peer.c \
+SRCS =	gfmd.c thrpool.c callout.c \
+	subr.c user.c group.c host.c peer.c dead_file_copy.c \
 	process.c job.c \
 	dir.c inode.c fs.c back_channel.c \
 	db_access.c db_common.c db_none.c quota.c xattr.c \
 	$(ldap_srcs) $(postgresql_srcs) $(optional_srcs)
-OBJS =	gfmd.o thrsubr.o thrpool.o \
-	subr.o user.o group.o host.o peer.o \
+OBJS =	gfmd.o thrpool.o callout.o \
+	subr.o user.o group.o host.o peer.o dead_file_copy.o \
 	process.o job.o \
 	dir.o inode.o fs.o back_channel.o \
 	db_access.o db_common.o db_none.o quota.o xattr.o \
@@ -52,7 +52,9 @@
 $(OBJS): $(DEPGFARMINC) \
 	$(GFUTIL_SRCDIR)/gfutil.h \
 	$(GFUTIL_SRCDIR)/hash.h \
+	$(GFUTIL_SRCDIR)/id_table.h \
 	$(GFUTIL_SRCDIR)/tree.h \
+	$(GFUTIL_SRCDIR)/thrsubr.h \
 	$(GFARMLIB_SRCDIR)/gfp_xdr.h \
 	$(GFARMLIB_SRCDIR)/io_fd.h \
 	$(GFARMLIB_SRCDIR)/sockopt.h \
@@ -61,8 +63,8 @@
 	$(GFARMLIB_SRCDIR)/gfm_proto.h \
 	$(GFARMLIB_SRCDIR)/gfj_client.h \
 	$(GFARMLIB_SRCDIR)/timespec.h \
-	thrsubr.h thrpool.h subr.h \
-	user.h group.h host.h peer.h process.h job.h \
+	thrpool.h subr.h callout.h \
+	user.h group.h host.h peer.h dead_file_copy.h process.h job.h \
 	dir.h inode.h fs.h back_channel.h protocol_state.h quota.h xattr.h
 
 include $(optional_rule)
