=== lib/libgfarm/gfarm/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4801 2010-06-28 06:04:40Z tatebe $
+# $Id: Makefile 4784 2010-06-25 07:24:27Z n-soda $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -36,6 +36,7 @@
 	import_help.c \
 	iobuffer.c \
 	gfp_xdr.c \
+	gfp_xdr_server.c \
 	gfs_proto.c \
 	io_fd.c \
 	metadb_common.c \
@@ -46,8 +47,8 @@
 	conn_hash.c \
 	conn_cache.c \
 	gfm_client.c \
+	gfs_client.c \
 	gfm_schedule.c \
-	gfs_client.c \
 	lookup.c \
 	gfs_io.c \
 	gfs_dir.c \
@@ -70,6 +71,7 @@
 	gfs_remove.c \
 	gfs_rename.c \
 	gfs_replica.c \
+	gfs_replica_info.c \
 	gfs_replicate.c \
 	gfs_rmdir.c \
 	gfs_symlink.c \
@@ -106,6 +108,7 @@
 	import_help.lo \
 	iobuffer.lo \
 	gfp_xdr.lo \
+	gfp_xdr_server.lo \
 	gfs_proto.lo \
 	io_fd.lo \
 	metadb_common.lo \
@@ -116,8 +119,8 @@
 	conn_hash.lo \
 	conn_cache.lo \
 	gfm_client.lo \
+	gfs_client.lo \
 	gfm_schedule.lo \
-	gfs_client.lo \
 	lookup.lo \
 	gfs_io.lo \
 	gfs_dir.lo \
@@ -140,6 +143,7 @@
 	gfs_remove.lo \
 	gfs_rename.lo \
 	gfs_replica.lo \
+	gfs_replica_info.lo \
 	gfs_replicate.lo \
 	gfs_rmdir.lo \
 	gfs_symlink.lo \
@@ -177,7 +181,7 @@
 $(GLOBUS_OBJS): $(DEPGFSLINC)
 auth_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h auth.h
 auth_client_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h io_fd.h io_gfsl.h auth.h auth_gsi.h
-auth_common.lo: liberror.h auth.h
+auth_common.lo: auth.h
 auth_common_gsi.lo: $(GFUTIL_SRCDIR)/gfutil.h $ $(GFSL_SRCDIR)/gfarm_secure_session.h $(GFSL_SRCDIR)/gfarm_auth.h gfpath.h auth.h auth_gsi.h
 auth_config.lo: hostspec.h auth.h
 auth_server.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h hostspec.h auth.h gfp_xdr.h gfs_proto.h
@@ -189,7 +193,9 @@
 error.lo: $(GFUTIL_SRCDIR)/hash.h
 conn_cache.lo: $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h conn_hash.h conn_cache.h
 gfm_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/gfnetdb.h $(GFUTIL_SRCDIR)/lru_cache.h gfp_xdr.h io_fd.h sockopt.h sockutil.h host.h auth.h config.h conn_cache.h gfm_proto.h gfj_client.h xattr_info.h gfm_client.h
-gfm_schedule.lo: gfm_client.h gfm_schedule.h lookup.h
+gfm_schedule.lo: gfm_client.h gfm_schedule.h
+gfp_xdr.lo: $(GFUTIL_SRCDIR)/gfutil.h liberror.h iobuffer.h gfp_xdr.h
+gfp_xdr_server.lo: $(GFUTIL_SRCDIR)/id_table.h gfp_xdr.h
 gfs_client.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/gfevent.h $(GFUTIL_SRCDIR)/hash.h $(GFUTIL_SRCDIR)/lru_cache.h liberror.h sockutil.h iobuffer.h gfp_xdr.h io_fd.h host.h param.h sockopt.h auth.h config.h conn_cache.h gfs_proto.h gfs_client.h
 gfs_dir.lo: $(GFUTIL_SRCDIR)/timer.h $(GFUTIL_SRCDIR)/gfutil.h gfs_profile.h gfm_client.h config.h lookup.h gfs_io.h gfs_dir.h
 gfs_dirplus.lo: $(GFUTIL_SRCDIR)/gfutil.h config.h gfm_client.h gfs_io.h
@@ -207,6 +213,7 @@
 gfs_quota.lo: config.h quota_info.h
 gfs_readlink.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h config.h lookup.h
 gfs_replica.lo: $(GFUTIL_SRCDIR)/gfutil.h gfm_client.h host.h config.h lookup.h
+gfs_replica_info.lo: gfm_proto.h gfm_client.h lookup.h
 gfs_replicate.lo: config.h host.h gfm_client.h gfs_client.h schedule.h gfs_misc.h
 gfs_stat.lo: $(GFUTIL_SRCDIR)/gfutil.h $(GFUTIL_SRCDIR)/timer.h gfs_profile.h gfm_client.h config.h lookup.h gfs_misc.h
 gfs_statsw.lo: gfs_dircache.h
