=== lib/libgfarm/gfutil/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 4550 2010-03-25 10:09:01Z tatebe $
+# $Id: Makefile 4644 2010-04-13 06:48:57Z n-soda $
 
 top_builddir = ../../..
 top_srcdir = $(top_builddir)
@@ -20,6 +20,7 @@
 	logutil.c \
 	lru_cache.c \
 	send_no_sigpipe.c \
+	thrsubr.c \
 	timer.c \
 	timeval.c
 OBJS =	alloc.lo \
@@ -33,6 +34,7 @@
 	logutil.lo \
 	lru_cache.lo \
 	send_no_sigpipe.lo \
+	thrsubr.lo \
 	timer.lo \
 	timeval.lo
