=== debian/changelog ===
gfarm (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_libraries.patch: Refreshed.
  * debian/gfmd.manpages_{en,ja}: Remove uninstalled entries.
  * debian/gfsd.manpages_{en,ja}: Remove uninstalled entries.
  * debian/gfarm-client.manpages_{en,ja}: Remove uninstalled entries.
  * debian/control (Standards-Version): Bump to 3.9.1.
  * debian/libgfarm-dev.install: Don't install .la file (follow policy 3.9.1).

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 24 Nov 2010 11:06:15 +0900
