## gfarm 2.4.1

=== bench/Makefile ===
top_builddir = ..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = \
	bwlat-syscache \
	nconnect \
	thput-fsstripe \
	thput-fsys \
	thput-gfpio

include $(top_srcdir)/makes/subdir.mk
