=== gftool/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	gfls \
 	gfmkdir \
 	gfmv \
+	gfpath \
 	gfquota \
 	gfreg \
 	gfrep \
