=== gftool/example/Makefile ===
top_builddir = ../..
top_srcdir = $(top_builddir)
srcdir = .

include $(top_srcdir)/makes/var.mk

SUBDIRS = \
	gfimport_fixed \
	gfimport_text

include $(top_srcdir)/makes/subdir.mk
