=== debian/changelog ===
gfarm (2.4.1-1.1ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 14 Feb 2014 07:45:35 -0500

gfarm (2.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch by Ilya Barygin <barygin@gmail.com>, set SHELL to /bin/bash as /bin/sh
    does not support +=. (Closes: #621926).

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 31 Jan 2012 19:01:26 +0000

gfarm (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 14 Feb 2011 17:25:35 +0900
