=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gfarm
 Section: net
 Priority: extra
-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~), autotools-dev, libssl-dev, libldap2-dev, libpq-dev, postgresql, autoconf (>= 2.50), libtool
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Uploaders: Osamu Tatebe <tatebe@cs.tsukuba.ac.jp>, Noriyuki SODA <soda@sra.co.jp>
 DM-Upload-Allowed: yes
 Homepage: http://datafarm.apgrid.org/
