=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DH_OPTIONS
 
 %:
-	dh --with quilt  $@
+	dh $@ --with quilt,autotools-dev
 
 override_dh_auto_clean:
 	dh_auto_clean
