=== debian/watch ===
version=3
http://sf.net/gfarm/gfarm-(2\..*)\.tar\.gz
